package lcsb.mapviewer.services.interfaces;

import java.util.Calendar;
import java.util.List;

import lcsb.mapviewer.model.cache.CacheType;
import lcsb.mapviewer.model.job.MinervaJob;
import lcsb.mapviewer.model.job.MinervaJobExecutor;
import lcsb.mapviewer.model.job.MinervaJobStatus;
import lcsb.mapviewer.model.job.MinervaJobType;

public interface IMinervaJobService {

  void addJob(MinervaJob job);

  MinervaJob updateJob(MinervaJob job);

  void waitForTasksToFinish();

  List<MinervaJob> getPending();

  List<MinervaJob> getPending(int max);

  CacheType getTypeById(Integer typeId);

  void evict(MinervaJob job);

  long getCount(MinervaJobStatus pending);

  void registerExecutor(final MinervaJobType jobType, final MinervaJobExecutor executor);

  void setInterruptedOnRunningJobs();

  List<MinervaJob> getAllJobs();

  void removeOldJobs(Calendar beforeDate);

}
